/*
 * Baremetal 01
 * siccome lo userled sembra non fuzionare, occorre necessariamente creare una
 * interfaccia con la FPGA per il contorllo dei LED.
 *
 * Test di caricamento per FPGA
 * - disabilito la comunicazione su UARD riscrivendo gli IO
 * - buffer circolare: TODO
 */

#ifndef soc_cv_av
#define soc_cv_av
#endif

#include "socal/hps.h"			// bring in the view from the processor
#include "headers/hps_0.h"		// bring in the view from the dmas
#include "headers/CPUInterface.h"

#define REG(x) (*((volatile unsigned int*)(x)))

volatile unsigned long int count = 0;
volatile unsigned int x;
volatile unsigned int *led = (void*)HPS_0_ARM_A9_1_LED_BASE;

volatile unsigned int counter  __attribute__((section(".fixed_ram")));

int main()
{
	
//	REG(HPS_0_ARM_A9_1_HPS_0_GPIO1_BASE+4) = 0xFFFFFFFF;
//	REG(HPS_0_ARM_A9_1_HPS_0_GPIO1_BASE) = 0xFFFFFFFF;

	counter = 0;
	while(1)
	{
		counter++;
		count++;
/*		if(count > 1156250)	// 115625000
		{
			count = 0;
			
			if(REG(HPS_0_ARM_A9_1_HPS_0_GPIO1_BASE+0x50) & (1<<25))	// ovvero la KEY0 NON è premuta
			{
			}
			else
			{				
				x = REG(HPS_0_ARM_A9_1_LED_BASE);
				x++;
				*led = x;
			}
		} */
		x = REG(0xFFC09004);
		*led = x >> 24;
	}
	
	return 0;
}
